Update mono ancillary ports
ClosedPublic

Authored by dbn on Jan 3 2018, 7:18 PM.

Details

Summary

TODO:

NOTE: net/avahi-sharp depends on net/avahi-app, which is maintained by gnome@

Commit message:

Update ancillary mono ports

x11-toolkits/gnome-sharp20:
 - update to version 2.24.4
 - use github for sources
 - use autoreconf and provided bootstrap script (pre-configure)
 - remove gettext-runtime, not used by port
 - order USES section, move non-USES related variables to own section

x11-toolkits/gtk-sharp20:
 - update to version 2.12.45
 - remove gettext-runtime, not used by port
 - order USES section, move non-USES related variables to own section
Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
dbn created this revision.Jan 3 2018, 7:18 PM
mat added a comment.Jan 4 2018, 8:09 AM

Could you use devel/arcanist, or at least generate a diff with full context like it does, with svn diff -x -U9999 or git diff -U9999.

dbn edited the summary of this revision. (Show Details)Jan 4 2018, 1:34 PM
dbn edited the test plan for this revision. (Show Details)
dbn updated this revision to Diff 37521.Jan 4 2018, 3:58 PM
dbn edited the summary of this revision. (Show Details)

Give full context (apologies, I keep forgetting) and order the USES block.

dbn edited the summary of this revision. (Show Details)Jan 4 2018, 5:13 PM
dbn edited the test plan for this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Jan 6 2018, 8:44 AM
Closed by commit rP458233: Update ancillary mono ports (authored by dbn, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.